Data Custom Object Definitions (deprecated)

POST Search Attribute Definitions for Custom Object

POST /custom_object_definitions/{object_type}/attribute_definition_search

Operation ID: Search Attribute Definitions for Custom Object. Tags: custom_object_definitions. Security: oauth2_application.

Searches the attribute definitions of the specified custom object type.

The query attribute specifies a complex query that can be used to narrow down the search. Attributes are grouped into different buckets. These are the list of searchable attributes with their corresponding buckets:

Main:

  • id - String

  • display_name* - Localized String

  • description* - Localized String

  • key - boolean

  • mandatory - boolean

  • searchable - boolean

  • system - boolean

  • visible - boolean

Definition version:

  • localizable - boolean

  • site_specific - boolean

  • value_type - one of {string, int, double, text, html, date, image, boolean, money, quantity, datetime, email, password, set_of_string, set_of_int, set_of_double, enum_of_string, enum_of_int, unknown}

Only attributes in the same bucket can be joined using a disjunction (OR). For instance, when joining localizable and description above, only a conjunction is allowed (AND), whereas display_name and description can be joined using a disjunction because they are in the same bucket. If an attribute is used in a disjunction (OR) that violates this rule, an exception will be thrown.

Additionally, attribute definitions can also be searched by attribute group.

  • group - String

These attributes are not searchable or sortable for built in system attributes. They work normally for non system attributes.

Note that only searchable attributes can be used in sorting.

This endpoint may return the following faults:

  • 400 - MalformedSearchParameterException - Indicates the query is ill-formed.
  • 404 - ObjectTypeNotFoundException - Indicates that the object type cannot be found.

Parameters

  • object_type (path, string, required) The type of object

Request body (required)

Media type: application/json, text/xml. Schema: search_request.

Responses

  • 400 MalformedSearchParameterException - Indicates the query is ill-formed.

    Media type: application/json, text/xml. Schema: fault.

  • 404 ObjectTypeNotFoundException - Indicates that the object type cannot be found.

    Media type: application/json, text/xml. Schema: fault.

  • default

    Media type: application/json, text/xml. Schema: object_attribute_definition_search_result.